<template>
  <div class="MenuComposeComponent">
    <b-form-group>

      <div
        v-for="choice in $store.state.food.SelectedFood.choices"
        :key="choice._id"
      >
      
        <b-card class="mx-3 mb-2">
          <h6>
            <b>{{ choice.name }}</b> (Obligatoire)
          </h6>
          <b-card-text style="">
            <div v-for="option in choice.options" :key="option._id">
              <b-card class="mx-3 mb-2">
                <h6>
                  <b>{{ option.name }}</b>
                </h6>
                <b-card-text style="">
                  <div class="row">
                    <div class="col">{{ option.price }}€</div>

                    
                  </div>
                </b-card-text>
              </b-card>
            </div>
          </b-card-text>
        </b-card>
      </div>

      <b-card class="mx-3 mb-2">
        <h6>
          <b>Extras</b>
        </h6>
        <b-card-text style="">
          <div
            v-for="extra in $store.state.food.SelectedFood.extras"
            :key="extra._id"
          >
            <b-card class="mx-3 mb-2">
              <h6>
                <b>{{ extra.name }}</b>
              </h6>
              <b-card-text style="">
                <div class="row">
                  <div class="col">{{ extra.price }}€</div>
                 
                
                </div>
              </b-card-text>
            </b-card>
          </div>
        </b-card-text>
      </b-card>
    </b-form-group>
  </div>
</template>

<script lang="ts">
import router from "@/router";
import Vue from "vue";
import { mapActions, mapGetters } from "vuex";

export default Vue.extend({
  name: "DetailMenuComponent",

  data: () => ({
    selected: "",
    value: 0,
    food: {} as any,
    cart: {
      restaurant: '',
      amount: 0,
      content: [] as Array<any>
    }
  }),

  methods: {
    ...mapActions(["putCart"]),

  },

  created() {

    

   /* if(!this.$store.state.user.user.id || !this.$store.state.restaurant.SelectedRestaurant._id || !this.$store.state.food.SelectedFood._id){
      router.push('/')
    }*/
  },
});
</script>

<style scoped></style>
